Benjamin is right, the file is malformed and not the fault of xpi-pack

See also https://github.com/ddawson/Saved-Password-Editor/pull/9

On 09/05/14 23:32, Benjamin Drung wrote:
> Hi Daniel,
> 
> Am Freitag, den 02.05.2014, 18:25 +0200 schrieb Daniel Pocock:
>> I'm trying to use install-xpi with tbdialout 1.7.2
>> [...]
>> It fails with the errors below.  I can work around it be commenting out
>> the non-English localizations inside install.rdf but this is not ideal.
>>
>>
>> librdf error  - property element 'localized' has multiple object node
>> elements, skipping.
>> librdf error  - property element 'localized' has multiple object node
>> elements, skipping.
>> librdf error  - property element 'localized' has multiple object node
>> elements, skipping.
>> librdf error  - property element 'localized' has multiple object node
>> elements, skipping.
>> librdf error  - property element 'localized' has multiple object node
>> elements, skipping.
>> librdf error  - property element 'localized' has multiple object node
>> elements, skipping.
>> librdf error  - property element 'localized' has multiple object node
>> elements, skipping.
>> Caught error "property element 'localized' has multiple object node
>> elements, skipping."
>> Traceback (most recent call last):
>>   File "/usr/bin/install-xpi", line 274, in <module>
>>     main()
>>   File "/usr/bin/install-xpi", line 271, in main
>>     options.system_prefs, options.verbose)
>>   File "/usr/bin/install-xpi", line 199, in install_xpi
>>     extension_id = get_extension_id(os.path.join(copy_dir, "install.rdf"))
>>   File "/usr/bin/install-xpi", line 71, in get_extension_id
>>     "SELECT ?id WHERE {?x em:targetApplication [] . ?x em:id ?id }"))
>>   File "/usr/bin/install-xpi", line 56, in get_query_field_id_as_list
>>     parser.parse_into_model(model, "file:" + rdf_path)
>>   File "/usr/lib/python2.7/dist-packages/RDF.py", line 1801, in
>> parse_into_model
>>     raise err
>> RDF.RedlandError: "property element 'localized' has multiple object node
>> elements, skipping."
>> make[1]: *** [override_dh_auto_install] Error 1
> 
> I modified install-xpi to print an error message instead of creating a
> stack trace, but this won't solve your issue. Your install.xpi file is
> malformed as you can verify on [1]. I have attached a patch for your
> install.rdf file that fixes this error without removing the
> localization. Please forward this patch upstream.
> 
> [1] http://www.w3.org/RDF/Validator/rdfval
> 
> 
> 
> _______________________________________________
> Pkg-mozext-maintainers mailing list
> Pkg-mozext-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-mozext-maintainers
> 


-- 
GPG: 4096R/1318EFAC5FBBDBCE
git://github.com/infinity0/pubkeys.git

_______________________________________________
Pkg-mozext-maintainers mailing list
Pkg-mozext-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-mozext-maintainers

Reply via email to